This thread has been locked.

If you have a related question, please click the "Ask a related question" button in the top right corner. The newly created question will be automatically linked to this question.

AFE10004EVM: Python 2.7 not detected when using AFE10004EVM SW

Genius 9330 points
Part Number: AFE10004EVM

Hi Team,

When invoking scripting tool my cusotmer get an error message that Python 2.7 not detected. They have downloaded Python 3.10.6 as it is the latest version and 2.7 was listed as end of life. Should the EVM work with the newer version of Python or should they download the unsupported ver 2.7?

Thank you.

Regards,
May

  • Hi Maynard,

    No, it would require Python 2.7.  One thing to note is that many Windows 10 machines do not seem to play well with the python scripting tool.  While we can get it working most of the time, we generally recommend the customer use our simple "load configuration" and "save configuration" for some automation needs.  The python tool only supports register reads and writes by text name, and generally does not allow the customer full flexibility for automation.

    I have been disabling the python scripting tool in newer product evaluation software.

    Thanks,

    Paul